Colis Privé Store from ShipStation offers domestic shipping services for France-based ShipStation V2 API accounts shipping from France.
This guide provides developers with the details needed to build Colis Prive Store from ShipStation shipping capabilities into your ShipStation V2 API workflows.
carrier_code: colis_prive_store_walleted
A ShipStation V2 API account based in France.
ShipStation Carriers must be activated for the account and have a positive account balance to create labels. See our Using ShipStation Carriers page for details about activating it in your account.
All shipments must originate from an address in France.
All shipments must include both the weight and the dimensions.
You can connect a Colis Prive Store from ShipStation account using the POST method to the /v2/connections/carriers/ endpoint. At this time, Colis Privé Store cannot be connected via the ShipStation dashboard.
carrier_code: colis_prive_store_walleted
POST /v2/connections/carriers/:carrier_code
POST /v2/connections/carriers/colis_prive_store_walleted HTTP/1.1
Host: api.shipstation.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "My Colis Privé Store Account"
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
Colis Prive Store from ShipStation supports rate shopping with ShipStation V2 API.
Available Colis Prive Store from ShipStation services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service | API Code |
|---|---|
| Home delivery | colis_prive_store_home_delivery |
| PUDO Delivery | colis_prive_store_pudo_delivery |
International shipping with Colis Prive Store from ShipStation is not supported for this carrier.
Colis Prive Store from ShipStation supports return labels. If a parcel is returned to the sender, the carrier does not charge return shipments; they are not going to be on the invoice.
Adding shipment insurance is not supported for this carrier. However, Colis Prive Store from ShipStation includes compensation coverage for shipments: 1€ per KG plus shipping cost for domestic shipments. However, certain items listed in the prohibited/restricted list are excluded from compensation. All services are eligible for loss and claims.
- Label sizes: 4"x 6"
- Label formats: PDF, ZPL, PNG
Multi-Package labels with Colis Prive Store from ShipStation are not supported.
Colis Prive Store from ShipStation supports voiding labels with ShipStation V2 API. If a voided label is reused, an adjustment charge will be issued as a 'label-voided-used' charge.
Colis Prive Store from ShipStation does not support advanced options.
Colis Prive Store from ShipStation shipments does not require manifesting.
Colis Prive Store from ShipStation does not support pickups schedule carrier pickups.
Colis Prive Store from ShipStation supports PUDO delivery service points, which implies Pick Up Drop Off (PUDO) functionality. Customers can receive a confirmation via email once a PUDO scans a package.
Colis Prive Store from ShipStation supports receiving tracking updates. Review our Track a Package guides for details on tracking with the ShipStation V2 API.